package com.ztmap.project.zhny.lotusydqs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ztmap.project.zhny.lotusydqs.mapper.TLotusYdqsMapper;
import com.ztmap.project.zhny.lotusydqs.domain.TLotusYdqs;
import com.ztmap.project.zhny.lotusydqs.service.ITLotusYdqsService;
import com.ztmap.common.utils.text.Convert;

/**
 * 用电趋势Service业务层处理
 * 
 * @author ztmap
 * @date 2023-11-16
 */
@Service
public class TLotusYdqsServiceImpl implements ITLotusYdqsService 
{
    @Autowired
    private TLotusYdqsMapper tLotusYdqsMapper;

    /**
     * 查询用电趋势
     * 
     * @param id 用电趋势ID
     * @return 用电趋势
     */
    @Override
    public TLotusYdqs selectTLotusYdqsById(Long id)
    {
        return tLotusYdqsMapper.selectTLotusYdqsById(id);
    }

    /**
     * 查询用电趋势列表
     * 
     * @param tLotusYdqs 用电趋势
     * @return 用电趋势
     */
    @Override
    public List<TLotusYdqs> selectTLotusYdqsList(TLotusYdqs tLotusYdqs)
    {
        return tLotusYdqsMapper.selectTLotusYdqsList(tLotusYdqs);
    }

    /**
     * 新增用电趋势
     * 
     * @param tLotusYdqs 用电趋势
     * @return 结果
     */
    @Override
    public int insertTLotusYdqs(TLotusYdqs tLotusYdqs)
    {
        return tLotusYdqsMapper.insertTLotusYdqs(tLotusYdqs);
    }

    /**
     * 修改用电趋势
     * 
     * @param tLotusYdqs 用电趋势
     * @return 结果
     */
    @Override
    public int updateTLotusYdqs(TLotusYdqs tLotusYdqs)
    {
        return tLotusYdqsMapper.updateTLotusYdqs(tLotusYdqs);
    }

    /**
     * 删除用电趋势对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTLotusYdqsByIds(String ids)
    {
        return tLotusYdqsMapper.deleteTLotusYdqsByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除用电趋势信息
     * 
     * @param id 用电趋势ID
     * @return 结果
     */
    @Override
    public int deleteTLotusYdqsById(Long id)
    {
        return tLotusYdqsMapper.deleteTLotusYdqsById(id);
    }
}
